Package org.eclipse.cdt.core.settings.model.extension.impl

# Class CDefaultBuildData

java.lang.Object
org.eclipse.cdt.core.settings.model.extension.CDataObject
org.eclipse.cdt.core.settings.model.extension.CBuildData
org.eclipse.cdt.core.settings.model.extension.impl.CDefaultBuildData

All Implemented Interfaces:
  `ICSettingBase`

public class CDefaultBuildData extends CBuildData

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final ICOutputEntry[]`
`EMPTY_OUTPUT_ENTRIES_ARRAY`
`protected static final String[]`
`EMPTY_STRING_ARRAY`
`protected org.eclipse.core.runtime.IPath`
`fCWD`
`protected String[]`
`fErrorParserIDs`
`protected String`
`fId`
`protected boolean`
`fIsModified`
`protected String`
`fName`
`protected ICOutputEntry[]`
`fOutputEntries`

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

## Constructor Summary

Constructors
Constructor
Description
`CDefaultBuildData()`
`CDefaultBuildData(String id, CBuildData base)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`copySettingsFrom(CBuildData data)`
`IEnvironmentContributor`
`getBuildEnvironmentContributor()`
`org.eclipse.core.runtime.IPath`
`getBuilderCWD()`
`String[]`
`getErrorParserIDs()`
`String`
`getId()`
`String`
`getName()`
`ICOutputEntry[]`
`getOutputDirectories()`
`boolean`
`isModified()`
`boolean`
`isValid()`
`void`
`setBuilderCWD(org.eclipse.core.runtime.IPath path)`
`void`
`setErrorParserIDs(String[] ids)`
`void`
`setModified(boolean modified)`
`void`
`setOutputDirectories(ICOutputEntry[] entries)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CBuildData

`getBuildSpecCommand, getType`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CDataObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### fCWD

protected org.eclipse.core.runtime.IPath fCWD

### fErrorParserIDs

protected String[] fErrorParserIDs

### fOutputEntries

protected ICOutputEntry[] fOutputEntries

### EMPTY_STRING_ARRAY

protected static final String[] EMPTY_STRING_ARRAY

### EMPTY_OUTPUT_ENTRIES_ARRAY

protected static final ICOutputEntry[] EMPTY_OUTPUT_ENTRIES_ARRAY

### fName

protected String fName

### fId

protected String fId

### fIsModified

protected boolean fIsModified

## Constructor Details

### CDefaultBuildData

public CDefaultBuildData()

### CDefaultBuildData

public CDefaultBuildData(String id, CBuildData base)

## Method Details

### copySettingsFrom

protected void copySettingsFrom(CBuildData data)

### getBuilderCWD

public org.eclipse.core.runtime.IPath getBuilderCWD()

Specified by:
  `getBuilderCWD` in class `CBuildData`

### getErrorParserIDs

public String[] getErrorParserIDs()

Specified by:
  `getErrorParserIDs` in class `CBuildData`

### getOutputDirectories

public ICOutputEntry[] getOutputDirectories()

Specified by:
  `getOutputDirectories` in class `CBuildData`

### setBuilderCWD

public void setBuilderCWD(org.eclipse.core.runtime.IPath path)

Specified by:
  `setBuilderCWD` in class `CBuildData`

### setErrorParserIDs

public void setErrorParserIDs(String[] ids)

Specified by:
  `setErrorParserIDs` in class `CBuildData`

### setOutputDirectories

public void setOutputDirectories(ICOutputEntry[] entries)

Specified by:
  `setOutputDirectories` in class `CBuildData`

### getId

public String getId()

Specified by:
  `getId` in class `CDataObject`

### getName

public String getName()

Specified by:
  `getName` in class `CDataObject`

### isValid

public boolean isValid()

Specified by:
  `isValid` in class `CDataObject`

### getBuildEnvironmentContributor

public IEnvironmentContributor getBuildEnvironmentContributor()

Specified by:
  `getBuildEnvironmentContributor` in class `CBuildData`

### isModified

public boolean isModified()

### setModified

public void setModified(boolean modified)